import request from '@/config/axios'

export interface MmItemTypeVO {
  id: string
  itemtypename: string,
  itemclasstype: string,
  assemblyname: string
}

export interface MmItemTypePageReqVO extends PageParam {
  modulename?: string
}

// 查询MmItemType列表
export const getMmItemTypePage = (params: MmItemTypePageReqVO) => {
  return request.get({ url: '/pre/item-type/page', params })
}

// 查询MmItemType详情
export const getMmItemType = (id: number) => {
  return request.get({ url: `/pre/item-type/get/${id}`})
}

// 新增MmItemType
export const createMmItemType = (data: MmItemTypeVO) => {
  return request.post({ url: '/pre/item-type/create', data })
}

// 修改MmItemType
export const updateMmItemType = (data: MmItemTypeVO) => {
  return request.put({ url: '/pre/item-type/update', data })
}

// 删除MmItemType
export const deleteMmItemType = (id: number) => {
  return request.delete({ url: '/pre/item-type/delete?id=' + id })
}
